Skip to main content
GET
/
pipelines
/
{pipeline_id}
Get Pipeline
curl --request GET \
  --url https://api.streamkap.com/pipelines/{pipeline_id} \
  --header 'Authorization: Bearer <token>'
{
  "result": [
    {
      "name": "<string>",
      "sub_id": "<string>",
      "tenant_id": "<string>",
      "id": "<string>",
      "snapshot_new_tables": true,
      "topic_ids": [
        "<string>"
      ],
      "topics": [
        "<string>"
      ],
      "source": {
        "name": "<string>",
        "connector": "<string>",
        "id": "<string>",
        "connector_display_name": "<string>",
        "created_timestamp": "<string>",
        "sub_id": "<string>",
        "tenant_id": "<string>",
        "service_id": "<string>",
        "config": {
          "database.hostname.user.defined": "<string>",
          "database.port.user.defined": "5432",
          "database.user": "<string>",
          "database.password": "<string>",
          "database.dbname": "<string>",
          "snapshot.read.only.user.defined": "Yes",
          "signal.data.collection.schema.or.database": "<string>",
          "heartbeat.data.collection.schema.or.database": "<string>",
          "slot.name": "streamkap_pgoutput_slot",
          "publication.name": "streamkap_pub",
          "schema.include.list": "<string>",
          "table.include.list.user.defined": "<string>",
          "column.include.list.toggled": true,
          "column.include.list.user.defined": "<string>",
          "column.exclude.list.user.defined": "<string>",
          "heartbeat.enabled": true,
          "database.sslmode": "require",
          "include.source.db.name.in.table.name.user.defined": false,
          "binary.handling.mode": "bytes",
          "transforms.InsertStaticKey1.static.field": "<string>",
          "transforms.InsertStaticKey1.static.value": "<string>",
          "transforms.InsertStaticValue1.static.field": "<string>",
          "transforms.InsertStaticValue1.static.value": "<string>",
          "transforms.InsertStaticKey2.static.field": "<string>",
          "transforms.InsertStaticKey2.static.value": "<string>",
          "transforms.InsertStaticValue2.static.field": "<string>",
          "transforms.InsertStaticValue2.static.value": "<string>",
          "predicates.IsTopicToEnrich.pattern": "$^",
          "ssh.enabled": false,
          "ssh.host": "<string>",
          "ssh.port": "22",
          "ssh.user": "streamkap",
          "ssh.public.key.user.displayed": "<SSH.PUBLIC.KEY>"
        },
        "topic_ids": [
          "<string>"
        ],
        "topic_map": {},
        "topics": [
          "<string>"
        ],
        "tasks": [
          123
        ],
        "connector_status": "<string>",
        "desired_state": "<string>",
        "task_statuses": {}
      },
      "destination": {
        "name": "<string>",
        "connector": "<string>",
        "id": "<string>",
        "connector_display_name": "<string>",
        "created_timestamp": "<string>",
        "sub_id": "<string>",
        "tenant_id": "<string>",
        "config": {
          "azblob.connection.string.user.defined": "<string>",
          "azblob.container.name": "<string>",
          "format.user.defined": "json",
          "format.csv.write.headers": false,
          "topics.dir": "<string>",
          "file.name.template": "{{topic}}-{{partition}}-{{start_offset}}",
          "flush.size": 1000,
          "file.size": 65536,
          "rotate.interval.ms": -1,
          "compression": "<string>"
        },
        "topic_ids": [
          "<string>"
        ],
        "topic_map": {},
        "topics": [
          "<string>"
        ],
        "tasks": [
          123
        ],
        "connector_status": "<string>",
        "desired_state": "<string>",
        "task_statuses": {}
      },
      "transforms": [
        "<unknown>"
      ],
      "tags": [],
      "periodic_audit": {
        "topics": [
          "<string>"
        ],
        "timestamp_column": "<string>",
        "interval_minutes": 123,
        "fix_deletes_only": false
      },
      "topic_auto_discovery_transforms": []
    }
  ],
  "page": 1,
  "page_size": 10,
  "total": 123,
  "has_next": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

pipeline_id
string
required

Response

Successful Response

Get paginated Pipelines response.

result
PipelineBasic · object[]
required
page
integer
default:1

Current page number

page_size
integer
default:10

Results per page

total
integer | null

Total number of results

has_next
boolean | null

Whether more pages exist